<template>
  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-12">
        <div class="card rounded shadow web-only">
          <div class="col-sm-4 mt-3">
            <div class="form-search d-flex align-items-center">
              <i class="fa fa-search" @click="init(0, true)"></i>
              <input
                class="form-control pr-4"
                @keyup.enter="init(0, true)"
                type="search"
                placeholder="Rechercher (Nom)"
                v-model="searchtext"
              />
            </div>
          </div>
          <div class="p-5" v-if="isLoading">
            <fulfilling-bouncing-circle-spinner
              class="mx-auto"
              :animation-duration="2000"
              :size="60"
              :color="'#6D071A'"
            />
          </div>
          <div v-else>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table rounded">
                  <thead>
                    <th>Nom</th>
                    <th>Téléphone</th>
                    <th>Dernière Localisation</th>  
                  </thead>
                  <tbody>
                    <tr v-for="(admin, i) in admins" :key="i">
                      <td> {{ admin.fullname }} </td>
                      <td> {{ admin.phone }} </td>
                      <!--   <td> {{ admin.address.longitude }} | {{admin.address.latitude}} </td>  -->
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>


<script>
const roles = {
  coordonator: "Cordonateur",
  manager: "Manageur",
  rse: "RSE",
  "rlm-antenne": "RLM Antenne",
  rlm: "RLM",
  admin: "Administrateur",
};
export default {
  name: "home",
  data() {
    return {
      admins: [],
      errorMessage: "",

      packs: [],
      newAdmin: {
        earnings: 0,
        historiesPacks: [],
        historiesGetEarnings: [],
        nbreFilleuls: 0,
      },
      creating: false,
      confpassword: "",

      searchtext: "",
      searchtype: "firstname",
      isLoading: false,
      curPage: 1,
      total: 0,
      perPage: 100,
      sort: {},
    };
  },
  mounted() {
    this.init();
  },
  methods: {
    init(page, resetParams) {
      if (resetParams) {
        this.curPage = 1;
      }

      let query = {
        options: {
          role: "client",
        },
        filter: {
          text: this.searchtext,
          type: this.searchtype.split("+"),
        },
        sort: this.sort,
        page: this.curPage - 1,
        perPage: this.perPage,
      };

      this.isLoading = true;

      this.$service.listAdmins(query, (err, data) => {
        this.isLoading = false;
        if (err) {
          console.log(err);
          return;
        }
        //console.log(data);
        this.total = data.total;
        this.admins = data.admins;
      });
    },
    showAdmin(id) {
      this.$router.push("/users/detail/" + id);
    },
  },
};
</script>